Bug 12898 - Z39.50 title search doesn't work with multiple words
Summary: Z39.50 title search doesn't work with multiple words
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-10 11:28 UTC by Dobrica Pavlinusic
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12898 - Z39.50 title search doesn't work with multiple words (1.05 KB, patch)
2014-09-10 11:31 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 12898 - Z39.50 title search doesn't work with multiple words (1.15 KB, patch)
2014-09-10 11:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12898 - Z39.50 title search doesn't work with multiple words (1.17 KB, patch)
2014-09-10 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12898: (regression test) test terms inside double quotes (2.13 KB, patch)
2014-09-14 05:04 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2014-09-10 11:28:43 UTC

    
Comment 1 Dobrica Pavlinusic 2014-09-10 11:31:15 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2014-09-10 11:36:26 UTC
Will test it rightaway :)
Comment 3 Marcel de Rooy 2014-09-10 11:41:37 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-09-10 14:38:57 UTC
Created attachment 31508 [details] [review]
Bug 12898 - Z39.50 title search doesn't work with multiple words

This fixes regression introduced by Bug 6536 so that multiple
words in title search will work.

Test scenario:

1. try z39.50 search with more than one word
2. verify that no results apper
3. apply patch and re-run search
4. verify that there are results

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Tomás Cohen Arazi 2014-09-14 05:04:28 UTC
Created attachment 31580 [details] [review]
Bug 12898: (regression test) test terms inside double quotes

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 6 Tomás Cohen Arazi 2014-09-14 05:05:24 UTC
Patch pushed to master.

Thanks Dobrica!